Bug 141557 - Parted crashes due to glibc double free or corruption detection
Parted crashes due to glibc double free or corruption detection
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-01 19:10 EST by Srihari Vijayaraghavan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 12:06:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Srihari Vijayaraghavan 2004-12-01 19:10:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
While trying to create a new partition (logical) using parted, glibc
detects double free or corruption in it and it crashes.

Version-Release number of selected component (if applicable):
parted-1.6.15-5

How reproducible:
Always

Steps to Reproduce:
1. parted /dev/hda
2. mkpart
3. Select default option "logical"
4. Select default option "ext2"
    

Actual Results:  *** glibc detected *** double free or corruption:
0x08532518
(That number varies between each run.)

Expected Results:  Parted may not crash.

Additional info:

[root@[...snip...] ~]# uname -r
2.6.9-1.681_FC3
root@[...snip...] ~]# parted /dev/hda
GNU Parted 1.6.15
Copyright (C) 1998 - 2004 Free Software Foundation, Inc.
This program is free software, covered by the GNU General Public License.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

Using /dev/hda
(parted) print
Disk geometry for /dev/hda: 0.000-38162.250 megabytes
Disk label type: msdos
Minor    Start       End     Type      Filesystem  Flags
1          0.031  19085.031  primary   ntfs        boot
2      19085.032  19187.006  primary   ext3
3      19187.007  24183.786  primary   ext3
4      24183.787  38162.219  extended
5      24183.817  26686.098  logical   ext3
6      26686.129  27682.316  logical   ext3
7      27682.348  28678.535  logical   ext2
8      28678.566  29674.753  logical   ext3
9      29674.784  30670.971  logical   ext3
10     30671.002  31180.847  logical   linux-swap
(parted) mkpart
(ition type?  [logical]
� system type?  [ext2]?
*** glibc detected *** double free or corruption: 0x08532518 ***
Aborted
Comment 1 Jeremy Katz 2004-12-20 12:06:54 EST
This is fixed in parted 1.6.19

Note You need to log in before you can comment on or make changes to this bug.